Bug 15955 - Tuning function 'New child record' for Unimarc
Summary: Tuning function 'New child record' for Unimarc
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Galen Charlton
QA Contact: Testopia
URL:
Keywords:
Depends on: 6831
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-02 12:03 UTC by Zeno Tajoli
Modified: 2017-06-14 22:10 UTC (History)
5 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
New child record patch Unimarc (1.48 KB, patch)
2016-03-02 13:04 UTC, Zeno Tajoli
Details | Diff | Splinter Review
Patch for Unimarc format (1.49 KB, patch)
2016-03-04 15:28 UTC, Zeno Tajoli
Details | Diff | Splinter Review
Followup of the patch (992 bytes, patch)
2016-03-04 15:28 UTC, Zeno Tajoli
Details | Diff | Splinter Review
Tuning function 'New child record' for Unimarc 205$a -> 461$e (1.55 KB, patch)
2016-03-04 17:05 UTC, Frédéric Demians
Details | Diff | Splinter Review
Bug 15955: Tuning function 'New child record' for Unimarc 205$a -> 461$e (1.64 KB, patch)
2016-03-11 09:19 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Zeno Tajoli 2016-03-02 12:03:09 UTC

    
Comment 1 Zeno Tajoli 2016-03-02 12:06:30 UTC
This bug is only for Unimarc.

When you create a son record with the funcion 'New child record' and EasyAnalitics is off, in Unimarc we tring to insert the value of ediction field (205$a) in subfield $a of 461.
This is wrong. Inf fact in 461 is not possible to insert ediction value.
This is possible only in  MARC21, not in UNIMARC standard
Comment 2 Zeno Tajoli 2016-03-02 13:04:58 UTC Comment hidden (obsolete)
Comment 3 Zeno Tajoli 2016-03-02 13:05:58 UTC
To Test:
1)Check to have EasyAnalyticalRecords on 'off'
2)Check to use UNIMARC
3)Create a record with data in 200$a (title), 205$a (ediction), 700 (author)
  215$a(Place), 215$d(date)
4)From those record create a child using 'New'->'New child record'
5)See the values in 461 tag: You can see that in 461$a there is the value of 205$a from father
  This is wrong, you need to have the value of 700 $a and $b from father record.
6)Appy the patch
7)Redo 4-5
8)Now 461 is good
Comment 4 Frédéric Demians 2016-03-03 08:36:51 UTC
I confirm that Unimarc host 205 field shouldn't be copied into 461$a. But It shouldn't either be suppressed (as with your patch). Shouldn't it be copied into 461$e?
Comment 5 Zeno Tajoli 2016-03-03 09:26:02 UTC
In fact I read the standard too quickly.
I don't see the subfield $e in 461
Comment 6 Zeno Tajoli 2016-03-04 15:28:29 UTC Comment hidden (obsolete)
Comment 7 Zeno Tajoli 2016-03-04 15:28:56 UTC Comment hidden (obsolete)
Comment 8 Zeno Tajoli 2016-03-04 15:30:45 UTC
Hi Frédéric ,

I have written a follow-up of the patch.
Now data from 205$a (of father) will go into 461$e (of child).
Comment 9 Frédéric Demians 2016-03-04 17:05:19 UTC Comment hidden (obsolete)
Comment 10 Jonathan Druart 2016-03-11 09:19:37 UTC
Created attachment 48997 [details] [review]
Bug 15955: Tuning function 'New child record' for Unimarc 205$a -> 461$e

Now the sYstem tries to insert value of 205$a into 461$a when a child is
created from the father record.  In UNIMARC 46x tags there is not
present a subfield for ediction value (205$a in UNIMARC).

To Test:
1) Check to have EasyAnalyticalRecords on 'off'
2) Check to use UNIMARC
3) Create a record with data in 200$a (title), 205$a (ediction), 700
   (author) 215$a(Place), 215$d(date)
4) From those record create a child using 'New'->'New child record'
5) See the values in 461 tag: You can see that in 461$a there is the
   value of 205$a from father This is wrong, you need to have the value
   of 700 $a and $b from father record, and 205$a in 461$e.
6) Appy the patch
7) Redo 4-5
8) Now 461 is good

Signed-off-by: Frédéric Demians <f.demians@tamil.fr>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
I have not checked the doc but trusting author and signoffer.
Comment 11 Brendan Gallagher 2016-03-11 21:56:05 UTC
Pushed to MAster - Should be in the May 2016 release!  Thanks!
Comment 12 Julian Maurice 2016-03-14 09:45:40 UTC
Patch pushed to 3.22.x, will be in 3.22.5
Comment 13 Frédéric Demians 2016-03-15 09:05:41 UTC
This patch has been pushed to 3.20.x, will be in 3.20.10.